Bug 883524 - [abrt] control-center-3.6.3-1.fc18: _gdk_x11_display_error_event: Process /usr/bin/gnome-control-center was killed by signal 5 (SIGTRAP)
Summary: [abrt] control-center-3.6.3-1.fc18: _gdk_x11_display_error_event: Process /us...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: cogl
Version: 18
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:574b6fae0a38184ac8bab47033f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-04 19:31 UTC by cornel panceac
Modified: 2014-02-05 13:33 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 13:33:34 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (36.95 KB, text/plain)
2012-12-04 19:32 UTC, cornel panceac
no flags Details
File: cgroup (127 bytes, text/plain)
2012-12-04 19:32 UTC, cornel panceac
no flags Details
File: core_backtrace (3.00 KB, text/plain)
2012-12-04 19:32 UTC, cornel panceac
no flags Details
File: dso_list (12.07 KB, text/plain)
2012-12-04 19:32 UTC, cornel panceac
no flags Details
File: environ (1.11 KB, text/plain)
2012-12-04 19:32 UTC, cornel panceac
no flags Details
File: limits (1.29 KB, text/plain)
2012-12-04 19:32 UTC, cornel panceac
no flags Details
File: maps (37.17 KB, text/plain)
2012-12-04 19:32 UTC, cornel panceac
no flags Details
File: open_fds (610 bytes, text/plain)
2012-12-04 19:32 UTC, cornel panceac
no flags Details
File: proc_pid_status (781 bytes, text/plain)
2012-12-04 19:32 UTC, cornel panceac
no flags Details
File: smolt_data (2.21 KB, text/plain)
2012-12-04 19:32 UTC, cornel panceac
no flags Details
File: var_log_messages (492 bytes, text/plain)
2012-12-04 19:32 UTC, cornel panceac
no flags Details

Description cornel panceac 2012-12-04 19:31:56 UTC
Description of problem:
i started gnome-control-center with alt-f2

Version-Release number of selected component:
control-center-3.6.3-1.fc18

Additional info:
backtrace_rating: 4
cmdline:        gnome-control-center
crash_function: _gdk_x11_display_error_event
executable:     /usr/bin/gnome-control-center
kernel:         3.6.7-5.fc18.i686
remote_result:  NOTFOUND
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 _gdk_x11_display_error_event at gdkdisplay-x11.c:2416
 #6 __glXSendErrorForXcb at glx_error.c:83
 #7 __glXIsDirect at glxcmds.c:601
 #8 create_context at winsys/cogl-winsys-glx.c:658
 #9 _cogl_winsys_display_setup at winsys/cogl-winsys-glx.c:784
 #10 cogl_display_setup at ./cogl-display.c:130
 #11 cogl_renderer_check_onscreen_template at ./cogl-renderer.c:227
 #12 clutter_backend_x11_get_display at x11/clutter-backend-x11.c:736
 #13 clutter_backend_real_create_context at ./clutter-backend.c:301
 #15 _clutter_backend_create_context at ./clutter-backend.c:751

Comment 1 cornel panceac 2012-12-04 19:32:00 UTC
Created attachment 657689 [details]
File: backtrace

Comment 2 cornel panceac 2012-12-04 19:32:02 UTC
Created attachment 657690 [details]
File: cgroup

Comment 3 cornel panceac 2012-12-04 19:32:04 UTC
Created attachment 657691 [details]
File: core_backtrace

Comment 4 cornel panceac 2012-12-04 19:32:07 UTC
Created attachment 657692 [details]
File: dso_list

Comment 5 cornel panceac 2012-12-04 19:32:09 UTC
Created attachment 657693 [details]
File: environ

Comment 6 cornel panceac 2012-12-04 19:32:11 UTC
Created attachment 657694 [details]
File: limits

Comment 7 cornel panceac 2012-12-04 19:32:18 UTC
Created attachment 657695 [details]
File: maps

Comment 8 cornel panceac 2012-12-04 19:32:20 UTC
Created attachment 657696 [details]
File: open_fds

Comment 9 cornel panceac 2012-12-04 19:32:23 UTC
Created attachment 657697 [details]
File: proc_pid_status

Comment 10 cornel panceac 2012-12-04 19:32:25 UTC
Created attachment 657698 [details]
File: smolt_data

Comment 11 cornel panceac 2012-12-04 19:32:27 UTC
Created attachment 657699 [details]
File: var_log_messages

Comment 12 Adam Jackson 2013-01-22 17:44:46 UTC
This is a delayed error, I think?  glXCreateNewContext doesn't require a round-trip, but glXIsDirect does (the first time).  So I think what's happening is creating the context fails, and then we send the IsDirect reply without first draining the reply queue to look for the error from CNC,

I'm at a loss to explain why CreateNewContext fails though.  How reproducible is this for you?

Comment 13 cornel panceac 2013-01-22 18:27:14 UTC
I was thinking that by this time the bug can no longer be reproduced but i was wrong. control-center keeps crashing. 3 of 3 consecutive tries.

Comment 14 Joseph Perrin 2013-01-25 20:32:31 UTC
I have the same problem, please tell me how I can provide info to help tracking this problem down and fix it.

Comment 15 Joseph Perrin 2013-01-25 20:47:52 UTC
This is the one program that should never fail!!!  I've upgraded to Satirical Cow, FC18, and my life is now over!  I can't configure or do anything now.  I apparently can't switch to KDE either.   

~$ export GDK_SYNCHRONIZE=1

~$ gnome-control-center 
Fontconfig warning: "/etc/fonts/conf.d/50-user.conf", line 9: reading configurations from ~/.fonts.conf is deprecated.

(gnome-control-center:6722): Gdk-ERROR **: The program 'gnome-control-center' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadAlloc (insufficient resources for operation)'.
  (Details: serial 196 error_code 11 request_code 152 minor_code 24)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the GDK_SYNCHRONIZE environment
   variable to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
Trace/breakpoint trap (core dumped)

Comment 16 Bastien Nocera 2013-03-13 08:24:57 UTC
It crashes in cogl trying to initialise clutter.

Comment 17 Fedora End Of Life 2013-12-21 09:38:14 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 18 Fedora End Of Life 2014-02-05 13:33:39 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.